/* /Components/CustomVScrollContainer.razor.rz.scp.css */
.custom-v-scroll-container[b-vq7622p1tf] {
    position: relative;
    overflow-y: auto;
    max-height: 100dvh;
    padding-bottom: 1rem;
    background-color: var(--mud-palette-background);
}

/* Hide scrollbar on mobile */
@media (max-width: 768px) {
    .custom-v-scroll-container[b-vq7622p1tf] {
        scrollbar-width: none; /* Firefox */
        -ms-overflow-style: none; /* IE 10+ */
    }

    .custom-v-scroll-container[b-vq7622p1tf]::-webkit-scrollbar {
        display: none; /* Chrome, Safari */
    }
}

/* Fade hints (top/button) */
/*
.custom-v-scroll-container::after,
.custom-v-scroll-container::before {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    height: 60px;
    pointer-events: none;
}

.custom-v-scroll-container::after {
    bottom: 0;
    background: linear-gradient(to bottom, transparent, var(--mud-palette-background));
}

.custom-v-scroll-container::before {
    top: 0;
    background: linear-gradient(to top, transparent, var(--mud-palette-background));
}
*/
